Package org.opensaml.soap.wsfed

# Interface WSFedObject

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `Address`, `AppliesTo`, `EndPointReference`, `RequestedSecurityToken`, `RequestSecurityTokenResponse`

All Known Implementing Classes:
  `AddressImpl`, `AppliesToImpl`, `EndPointReferenceImpl`, `RequestedSecurityTokenImpl`, `RequestSecurityTokenResponseImpl`

public interface WSFedObject extends XMLObject
Marker interface for WS-Federation `XMLObject`s.

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`